package adminserviceparam

type LoginWithPhoneNumberRequest struct {
	PhoneNumber string `json:"phone_number" example:"09123456789"`
	Password    string `json:"password" example:"password123"`
}

type LoginWithPhoneNumberResponse struct {
	Data        Data              `json:"data"`
	Tokens      Tokens            `json:"tokens"`
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
