package adminkindboxparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Data struct {
	ID                 uint                 `json:"id"`
	KindBoxReqID       uint                 `json:"kind_box_req_id"`
	BenefactorID       uint                 `json:"benefactor_id"`
	KindBoxType        entity.KindBoxType   `json:"kind_box_type"`
	Amount             uint                 `json:"amount"`
	SerialNumber       string               `json:"serial_number"`
	Status             entity.KindBoxStatus `json:"status"`
	DeliverReferTimeID uint                 `json:"deliver_refer_time_id"`
	DeliverReferDate   time.Time            `json:"deliver_refer_date"`
	DeliverAddressID   uint                 `json:"deliver_address_id"`
	SenderAgentID      uint                 `json:"sender_agent_id"`
	DeliveredAt        time.Time            `json:"delivered_at"`
	ReturnReferTimeID  uint                 `json:"return_refer_time_id"`
	ReturnReferDate    time.Time            `json:"return_refer_date"`
	ReturnAddressID    uint                 `json:"return_address_id"`
	ReceiverAgentID    uint                 `json:"receiver_agent_id"`
	ReturnedAt         time.Time            `json:"returned_at"`
}
