package agentkindboxparam

import (
	"git.gocasts.ir/ebhomengo/niki/param"
)

type GetAllRequest struct {
	Pagination param.PaginationRequest
	Sort       param.SortRequest
	Filter     param.FilterRequest
}

type GetAllResponse struct {
	Data        []Data                   `json:"data"`
	Pagination  param.PaginationResponse `json:"pagination"`
	FieldErrors map[string]string        `json:"field_errors,omitempty"`
}
